Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 47337)
+++ channels/chan_sip.c	(working copy)
@@ -16479,6 +16481,12 @@
 		return 0;
 	}
 
+	if (p->t38.state == T38_ENABLED){
+		ast_mutex_unlock(&p->lock);
+ 		return 0;
+	}
+
+
 	if (rtp) {
 		changed |= ast_rtp_get_peer(rtp, &p->redirip);
 	} else if (p->redirip.sin_addr.s_addr || ntohs(p->redirip.sin_port) != 0) {
